{
  "name": "exam-admin",
  "version": "1.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "test:unit": "vue-cli-service test:unit",
    "lint": "vue-cli-service lint",
    "build:prod": "vue-cli-service build",
    "build:staging": "NODE_ENV=production vue-cli-service build --mode staging",
    "mock": "json-server --watch mock/db.json",
    "postbuild:prod": "node postbuild",
    "prebuild:prod": "node prebuild",
    "prebuild:staging": "node prebuild",
    "start": "vue-cli-service serve"
  },
  "dependencies": {
    "@chenfengyuan/vue-qrcode": "1.0.2",
    "axios": "^0.19.2",
    "axios-progress-bar": "^1.2.0",
    "axios-retry": "^3.1.8",
    "bootstrap": "^4.5.0",
    "core-js": "^3.6.5",
    "crypto-js": "^4.0.0",
    "echarts": "^4.8.0",
    "element-ui": "^2.13.2",
    "flv.js": "^1.5.0",
    "hls.js": "^1.1.5",
    "js-cookie": "^2.2.1",
    "js-md5": "^0.7.3",
    "lodash-es": "^4.17.15",
    "moment": "^2.27.0",
    "query-string": "^6.13.1",
    "register-service-worker": "^1.7.1",
    "trtc-js-sdk": "^4.12.1",
    "vue": "^2.6.11",
    "vue-awesome": "^4.1.0",
    "vue-echarts": "^5.0.0-beta.0",
    "vue-router": "^3.3.4",
    "vuex": "^3.5.1",
    "vuex-persistedstate": "^3.0.1"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "~4.5.7",
    "@vue/cli-plugin-eslint": "~4.5.7",
    "@vue/cli-plugin-pwa": "~4.5.7",
    "@vue/cli-plugin-router": "~4.5.7",
    "@vue/cli-plugin-unit-jest": "~4.5.7",
    "@vue/cli-plugin-vuex": "~4.5.7",
    "@vue/cli-service": "~4.5.7",
    "@vue/eslint-config-prettier": "^6.0.0",
    "@vue/test-utils": "^1.0.0-beta.31",
    "babel-eslint": "^10.1.0",
    "eslint": "^7.5.0",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-vue": "^6.2.2",
    "lint-staged": "^10.2.11",
    "prettier": "^2.0.5",
    "sass": "^1.26.10",
    "sass-loader": "^9.0.2",
    "vue-cli-plugin-axios": "0.0.4",
    "vue-cli-plugin-element": "^1.0.1",
    "vue-template-compiler": "^2.6.11"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue}": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
